For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a single subscriber

One subscriber by internal id — timezone, current segments and, per selected channel, status, dates, acquiring source, country and the opt-in / opt-out history. Phone number, email and names are never returned. To find the id behind a phone number use GET /subscribers?phoneNumber=.

get
Authorizations
X-Recart-API-KeystringRequired

It can be obtained in Recart account after contacting Support

Path parameters
idstringRequired

Internal ID of the subscriber

Query parameters
Responses
200

Ok

application/vnd.api+json
get/subscribers/{id}
GET /app-integrations/2023-12/subscribers/{id} HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
  "data": {
    "type": "subscribers",
    "attributes": {
      "id": "66aa0f1c7e8c9d2b00123abc",
      "timezone": "America/Chicago",
      "segments": [
        {
          "id": "64f2a1b2c3d4e5f60718293a",
          "name": "VIP customers",
          "type": "segment"
        },
        {
          "id": "64f2a1b2c3d4e5f60718293b",
          "name": "Black Friday 2025 buyers",
          "type": "list"
        }
      ],
      "createdAt": "2026-03-04T18:22:10.000Z",
      "updatedAt": "2026-08-30T16:03:41.000Z",
      "sms": {
        "status": "unsubscribed",
        "subscribedAt": "2026-03-04T18:22:10.000Z",
        "lastInteractionAt": "2026-08-30T16:03:41.000Z",
        "subscriptionSource": {
          "type": "popup",
          "id": "655637c97825e6ae655fe1c9",
          "name": "Mobile - Preferences - Custom Images"
        },
        "country": "US",
        "optinHistory": [
          {
            "type": "optin",
            "createdAt": "2026-03-04T18:22:10.000Z",
            "source": {
              "type": "popup",
              "id": "655637c97825e6ae655fe1c9",
              "name": "Mobile - Preferences - Custom Images"
            },
            "sourceUrl": "https://trueclassic.com/collections/tees?utm_source=meta"
          },
          {
            "type": "optout",
            "createdAt": "2026-08-30T16:03:41.000Z",
            "source": {
              "type": "keyword"
            }
          }
        ]
      }
    }
  }
}

Last updated

Was this helpful?